
Figure - 开发 Dev #117828
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 110672 (New): 【MK】【003】【stability】【TC-RID: 1200-0800307】系统稳定性

开发 Dev # 117826 (New): 【MK】【003】【stability】【TC-RID: 1200-0800307】异常恢复机制

【MK】【003】【stability】【TC-RID: 1200-0800307】开机动画界面反复重启的恢复策略
2023-05-08 21:52 - CD TPM-王祥林

Status: 解决 Resolved Start date: 2023-05-08

Priority: Normal Due date:

Assignee: BSP组-RD3_CDTS  陈宙贤 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Description

1.5分钟n次启动判断为异常，mcu reset 基于figure已有案例做恢复机制

2.禁用"救援模式" rescure mode

History

#1 - 2023-05-10 20:51 - BSP组-RD3_CDTS  陈宙贤

- Status changed from New to 未着手 Not Started

正在确认需求，调查方案。

当前了解到，该现象为MPU自身反复重启，MCU并未参与。下一步调查MCU是否能得到MPU自身重启的信号。

#2 - 2023-05-15 17:48 - BSP组-RD3_CDTS  陈宙贤

- Status changed from 未着手 Not Started to 进行中 In Progress

- % Done changed from 0 to 50

如5月15日上午会议讨论结果：

1.MPU自身反复重启时，MCU复位并不能恢复MPU的异常。MCU代码不修改。

2.需要对MCU上下电的超时轮循机制进行压测。（需要出一个MPU启动完成后，不返回启动完成的串口命令的VB版本，用此版本对MCU进行压测）

#3 - 2023-05-15 20:22 - CD TPM-王祥林

用于第二点压测的VB已起

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TCService/+/200259

#4 - 2023-05-26 17:05 - BSP组-RD3_CDTS  陈宙贤

- Status changed from 进行中 In Progress to 解决 Resolved

- % Done changed from 50 to 100

压测已通过，通过MCU日志看出，MCU一直在反复运行上电流程。

https://thundersoft.feishu.cn/docx/QQikdxCM3otvyCxqGJNcnJwEnBh
